/* definitions.h -- general definitions for the library */

/* FAU Discrete Event Systems Library (libfaudes)

   Copyright (C) 2006  Bernd Opitz
   Exclusive copyright is granted to Klaus Schmidt

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */


#ifndef DEFINITIONS_H

namespace faudes {

/** Type definition for index type */
typedef unsigned int Idx;

/** Type definition for attribute type */
typedef int aType;

/** length of strings for text */
#define FD_NAMELEN 13

/** maximal size of transrel for state name output */
#define FD_SMALLTRANSREL 100

} // namespace faudes

#define DEFINITIONS_H
#endif 


// the doxygen main page:


/** \mainpage libfaudes - Friedrich Alexander University Discrete Systems Library
 *
 * \section Introduction
 *
 * For a introduction to libfaudes look at the FAUDES homepage.
 *
 */
